
From: Gregory B Frost <frosts1@hotkey.net.au>

It is a small modification to the table that defines the way that the
LG-Z201 tuner is controlled for the DVICO Fusion DVB-T1 tuner card.

I believe that a mistake was made when the dvb tuner code was reorganised
(to use a generic table for the tuner information instead of inline code)
and as a result, the DVICO card doesn't tune properly.

The modification I have made to the table makes it behave like it did with
the old inline tuner code that worked.  The patch is on top of the 2.6.12
kernel.

Signed-off-by: Gregory B Frost <frosts1@hotkey.net.au>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/frontends/dvb-pll.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

diff -puN drivers/media/dvb/frontends/dvb-pll.c~dvico-fusion-dvb-t1-tuner-lg-z201-fix drivers/media/dvb/frontends/dvb-pll.c
--- devel/drivers/media/dvb/frontends/dvb-pll.c~dvico-fusion-dvb-t1-tuner-lg-z201-fix	2005-07-25 21:04:43.000000000 -0700
+++ devel-akpm/drivers/media/dvb/frontends/dvb-pll.c	2005-07-25 21:04:43.000000000 -0700
@@ -82,13 +82,14 @@ struct dvb_pll_desc dvb_pll_lg_z201 = {
 	.name  = "LG z201",
 	.min   = 174000000,
 	.max   = 862000000,
-	.count = 5,
+	.count = 6,
 	.entries = {
 		{          0, 36166667, 166666, 0xbc, 0x03 },
-		{  443250000, 36166667, 166666, 0xbc, 0x01 },
-		{  542000000, 36166667, 166666, 0xbc, 0x02 },
-		{  830000000, 36166667, 166666, 0xf4, 0x02 },
-		{  999999999, 36166667, 166666, 0xfc, 0x02 },
+		{  157500000, 36166667, 166666, 0xbc, 0x01 },
+		{  443250000, 36166667, 166666, 0xbc, 0x02 },
+		{  542000000, 36166667, 166666, 0xbc, 0x04 },
+		{  830000000, 36166667, 166666, 0xf4, 0x04 },
+		{  999999999, 36166667, 166666, 0xfc, 0x04 },
 	},
 };
 EXPORT_SYMBOL(dvb_pll_lg_z201);
_
